Subject: Re: bug#39248: format-time-string ignores user's preferred locale

From: Alan Third <[email-masked]>
Date: Sat, 25 Jan 2020 12:03:49 +0000

On Sat, Jan 25, 2020 at 09:42:16PM +1000, Paul W. Rankin wrote:
> 
> > On 25 Jan 2020, at 9:18 pm, Alan Third <[email-masked]> wrote:
> > 
> > On Thu, Jan 23, 2020 at 11:35:20PM -0800, Paul Eggert wrote:
> >> #ifdef HAVE_NS
> >>   ns_pool = ns_alloc_autorelease_pool ();
> >> -#ifdef NS_IMPL_GNUSTEP
> >> -  /* GNUstep stupidly resets our locale settings after we made them.  */
> >> -  fixup_locale ();
> >> -#endif
> > 
> > Hi Paul, this LGTM, but I’m just curious if you’re sure we don’t need
> > that code above any more?
> 
> I have no idea sorry. Applying the patch and compiling was a new
> experience for me. If someone held a gun to my head I wouldn't even
> be sure it's C code...
> 
> Is there anything you'd like me to do with the Emacs.app to check
> it's kosher?

No, you’re good. I was actually talking to the other Paul who wrote
the patch. :)
-- 
Alan Third